Create a New Profile

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
POST /profiles

Headers

  • Authorization string

    e.g. Bearer {access_token}

application/json

Body

  • name string Required
  • max_user number Required
  • max_page number Required
  • is_active boolean Required
  • email string
  • address1 string
  • address2 string
  • city string
  • zip string
  • state string
  • country string
  • phone string
  • fax string
  • time_zone string

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created profile id

POST /profiles
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "name": "iFormBuilder",
  "max_user": 10,
  "max_page": 100,
  "is_active": true
}'
Request example
{
  "name": "iFormBuilder",
  "max_user": 10,
  "max_page": 100,
  "is_active": true
}
Response examples (201)
{
  "id": 161521
}